# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.webmastertools
Enum CrawlRate

    java.lang.Object
      java.lang.Enum<CrawlRate>
          com.google.gdata.data.webmastertools.CrawlRate

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CrawlRate>

    public enum CrawlRate

extends java.lang.Enum<CrawlRate>

CrawlRate is an enumerated type that indicates the desired crawl rate to use for a concrete site. Not all rates may be allowed for a given site.

Enum Constant Summary
`FASTER`
`FASTEST`
`NORMAL`
`SLOWER`
`SLOWEST`

Method Summary
`static CrawlRate` `fromString(java.lang.String value)` Parse a string and return a crawl rate.
`static CrawlRate` `getDefault()` Returns the default CrawlRate value.
`java.lang.String` `toString()` Returns the string representation of the CrawlRate.
`static CrawlRate` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CrawlRate[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SLOWEST

    public static final CrawlRate SLOWEST

### SLOWER

    public static final CrawlRate SLOWER

### NORMAL

    public static final CrawlRate NORMAL

### FASTER

    public static final CrawlRate FASTER

### FASTEST

    public static final CrawlRate FASTEST

Method Detail

### values

    public static CrawlRate[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CrawlRate c : CrawlRate.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CrawlRate valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Returns the string representation of the CrawlRate.

  Overrides:
    `toString` in class `java.lang.Enum<CrawlRate>`

### getDefault

    public static CrawlRate getDefault()

  Returns the default CrawlRate value.

  Returns:
    default CrawlRate value.

### fromString

    public static CrawlRate fromString(java.lang.String value)
                                throws java.lang.IllegalArgumentException

  Parse a string and return a crawl rate.

  Parameters:
    `value` - a string representing a crawl rate.
  Returns:
    a CrawlRate if the parameter can be successfully parsed.
  Throws:
    `java.lang.IllegalArgumentException` - if the parameter is not a valid CrawlRate string.